* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body {
    background-color: #000;
    overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    color: #FFF;
    font-family: "Kazimir", serif;
}



li, a, span {
    font-family: "Kazimir", serif;
    text-decoration: none;
}


.header {
    width: 100%;
    display: flex;
    align-items: center;
    position: fixed;
    background-color: #000;
    z-index: 999999;
    justify-content: center;
}

.container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-left: 9.868vw;
    padding-right: 9.868vw;
}

.navbar {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background-color: #000;
}

.nav_logo {

    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

}

.nav_logo img {
    width: 140px;
}

.nav_logo svg {
    width: 130px;
    position: absolute;
    bottom: -20px;
    right: -20px;
}

.nav_menu {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: center;

}

.nav_menu ul {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav_menu ul li {
    width: 250px;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 2px solid #FFF;
}

.nav_menu-list--item a {
    color: #FFF;
    font-size: 2vw;

    text-decoration: none;
}

.nav_menu-list--item.notborder {
    border: none;
}

.nav_button p {
    width: 191px;
    height: 50px;
    background-color: #000;
    border: none;
    color: #FFF;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 31px;
}

.nav_button p img {
    width: 50px;
}

.nav_button svg {
    width: 191px;
    top: 0px;
    position: absolute;
}

.nav_button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    position: relative;
}

@media(max-width:800px) {
    body {
        overflow-x: hidden !important;
    }

    .navbar {
        flex-direction: column;
    }

    .header {
        position: relative;
    }

    .nav_logo {
        width: 100%;
    }

    .nav_menu {
        width: 100%;
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .container {
        padding-left: 20px;
        padding-right: 20px;
    }

    .first_block-desc_h1 {
        width: 100%;
        position: relative;
        background-color: #000;
        z-index: 9;
    }

    .main_first_block_img {
        z-index: 999;
        top: 140px;
        width: 100%;
    }

    .first_block-bgimg {
        width: 200%;
        right: 0px;
    }

    .fist_block-desc-text svg {
        z-index: 99;
    }

    .fist_block-desc-text p {
        position: relative;
        z-index: 9999;
    }

    .fist_block-desc-text span {
        position: relative;
        z-index: 9999;
    }

    .about_game img {
        width: 100%;
    }

    .about_game {
        justify-content: space-between;
    }
}

@media(max-width:600px) {
    .first_block-desc_h1 h1 {
        position: relative;
        z-index: 9999;
    }

    hr {
        margin-top: 50px;
    }

    .fist_block-desc-text span {
        font-size: 80px;
    }

    .fist_block-desc-text p {
        width: 100%;
    }

    .nav_menu-list--item a {
        font-size: 15px;
    }
}

@media(max-width:450px) {
    .fist_block-desc-text p {
        font-size: 12px;
    }

    .fist_block-desc-text span {
        font-size: 60px;
    }

    .fist_block-desc-text {
        position: absolute;
        top: -60px;
    }

    .fist_block-desc-text svg {
        width: 300px;
    }

    hr {
        margin-top: 0px;
    }

    .main_first_block {
        height: 420px;
    }

    .first_block-desc_h1 {
        margin-top: 200px;
    }

    .first_block-desc_h1 h1 {
        font-size: 18px;
        line-height: 30px;
    }

    .main_first_block_img {
        right: 0px;
        top: 200px;
        width: 60%;
    }

    .about_game {
        gap: 20px;
    }

    .about_game img {
        bottom: -70px;
    }
}




.main {
    width: 100%;
    padding-top: 200px;
    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.main_button {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main_button a {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 36px;
    color: #FFF;
    height: 160px;
    background-color: #000;
    border: 1px solid #FFF;
}


.about_heroes {
    width: 100%;
    padding-top: 150px;
    padding-bottom: 100px;
    background: linear-gradient(to bottom, rgba(38, 0, 52, 1), rgba(44, 0, 132, 0.7));
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-self: center;
}

.about_heroes-title {
    width: 100%;
    flex-wrap: wrap;
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: space-between;
}

.about-heroes-title--text {
    width: max-content;
    display: flex;
    align-items: start;
    justify-content: center;
    gap: 70px;
    flex-direction: column;
}

.about-heroes-title--text h1 {
    font-size: 100px;
    line-height: 120px;
}

.about-heroes-title--text p {
    font-size: 77px;
    line-height: 92px;
}

.about_heroes-title img {
    width: 350px;
}

.about_heroes-desc {
    width: 100%;
    margin-top: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.about_heroes-desc p {
    font-size: 40px;
    font-weight: 100;
    line-height: 48px;
}

@media(max-width:800px) {
    .main {
        padding-top: 0px;
    }

    .about_heroes-title {
        justify-content: center;
        text-align: center;

    }

    .about-heroes-title--text {
        align-items: center;
    }

    .about-heroes-title--text h1 {
        font-size: 60px;
        line-height: 60px;
    }

    .about-heroes-title--text p {
        font-size: 50px;
        line-height: 40px;
    }

    .about_heroes-title img {
        width: 250px;
    }

    .about_heroes-desc {
        text-align: center;
    }

    .about_heroes-desc p {
        font-size: 30px;
        line-height: 40px;
    }
}

.all_heroes {
    width: 100%;
    padding-bottom: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(to bottom, rgba(44, 0, 132, 0.7), rgba(36, 42, 54, 1));
    flex-direction: column;
}

.all_heroes-title {
    width: 100%;
    display: flex;
    align-items: center;
    padding-bottom: 100px;
    justify-content: center;
    flex-direction: column;
}

.all_heroes-title h1 {
    line-height: 109px;
    font-size: 70px;
    font-weight: 700;
}

.all_heroes-title p {
    font-size: 44px;
    line-height: 66px;
}

.all_heroes-cards {
    width: 100%;
    transition: ease-in-out 1s;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 50px;
}

.all_heroes-cards-card {
    width: 300px;
    display: flex;
    align-items: center;
    justify-content:
        center;
    flex-direction: column;
    gap: 10px;
}

.all_heroes-cards-card img {
    width: 100%;
    box-shadow: 10px 10px 50px 10px rgba(255, 255, 255, 0.3);
}

.all_heroes-cards-card p {
    line-height: 50px;
    font-size: 42px;
}

.heroes_single {
    width: 100%;
    padding-top: 50px;
    padding-bottom: 50px;
    display: flex;

    align-items: center;
    justify-content: center;
}

.heroes_single-card {
    width: 100%;
    position: relative;
    display: flex;
    align-items: start;
    justify-content: center;
    flex-direction: column;
}

.heroes_single-card h1 {
    line-height: 6.25vw;
    font-size: 4.605vw;
    width: 70%;
    position: relative;
    z-index: 9999;
    opacity: 0.7;
    font-weight: 700;
}

.heroes_single-card p {
    line-height: 4.803vw;
    margin-top: 13.158vw;
    width: 45%;
    text-align: right;
    font-size: 3.553vw;
    color: #ebdbdb;
    opacity: 0.7;
}

.heroes_single-card img {
    width: 39.474vw;
    position: absolute;
    bottom: 0px;
    right: 0px;
}

@media(max-width:800px) {
    .heroes_single-card img {
        position: relative;
        width: 80%;
        margin-top: 20px;
    }

    .heroes_single-card {
        align-items: center;
    }

    .heroes_single-card p {
        width: 100%;
        line-height: 7.803vw;
        font-size: 20px;
        text-align: center;
        margin-top: 20px;
    }

    .heroes_single-card h1 {
        width: 100%;
        line-height: 9.25vw;
        font-size: 30px;
        text-align: center;
    }

    .all_heroes-title h1 {
        font-size: 40px;
        line-height: 50px;
        text-align: center;
    }

    .all_heroes-title {
        padding-bottom: 50px;
    }

    .all_heroes-title p {
        font-size: 30px;
        line-height: 40px;
        text-align: center;
    }
}

.more {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.more_first-block {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-top: 50px;
    padding-bottom: 50px;
    gap: 40px;
}

.more_first-block h1 {
    font-size: 70px;
    text-align: center;
    line-height: 124px;
}


.more_first-block a {
    width: 90%;
    max-width: 900px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #FFF;
    border: none;
    font-size: 60px;
    font-weight: bold;
    height: 100px;
    border-radius: 100px;
}

.more_first-block img {
    width: 90%;
    max-width: 900px;
}

@media(max-width:800px) {
    .more_first-block h1 {
        font-size: 40px;
        line-height: 50px;
    }

    .more_first-block a {
        font-size: 30px;
        height: 60px;
    }
}

.footer {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: #000;
    flex-direction: column;
}

.footer_title {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer_title h1 {
    font-size: 3.026vw;
    line-height: 3.947vw;
}

.footer_icons {
    width: 100%;
    margin-top: 3.289vw;
    flex-wrap: wrap;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer_icons-icon {
    width: 150px;
    height: 150px;
    display: flex;
    background-color: #FFF;
    border-radius: 100px;
    align-items: center;
    justify-content: center;
}

.footer_icons-icon img {
    width: 100%;
}

.footer_btn {
    width: 100%;
    margin-top: 6.579vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer_btn button {
    border: 3px solid #FFF;
    color: #FFF;
    cursor: pointer;
    padding: 1.316vw 3.947vw;
    background-color: #000;
    font-size: 1.053vw;
}

.footer_logo {
    margin-top: 1.316vw;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.footer_icons a {
    text-decoration: none;
}

.footer_logo img:nth-child(2) {
    width: 32.895vw;
}

.footer_logo img:nth-child(1) {
    width: 10.158vw;
}

.footer_icons-icon svg {
    background-color: #000;
}

.footer_icons-icon i {
    color: #000;
    font-size: 80px;
}

@media(max-width:800px) {
    .footer_title h1 {
        font-size: 25px;
        line-height: 40px;
    }

    .footer_icons {
        gap: 10px;
    }

    .footer_btn button {
        width: 80%;
        max-width: 400px;
        min-height: 40px;
        font-size: 20px;
    }

    .footer_logo img:nth-child(1) {
        width: 100px;
        margin-top: 20px;
    }

    .footer_logo img:nth-child(2) {
        width: 200px;
    }

    .footer_icons-icon {
        width: 64px !important;
        height: 64px !important;
        display: flex;
        background-color: #FFF;
        border-radius: 100px;
        align-items: center;
        justify-content: center;
    }

    .footer_icons-icon i {
        color: #000;
        font-size: 40px !important;
    }
}






.hover-left {
    transform: translateX(10%);
}

.hover-right {
    transform: translateX(-10%);
}

.hover-top {
    transform: translateY(10%);
}


.language {
    width: 75px;
    height: 75px;
    display: flex;
    position: fixed;
    cursor: pointer;
    border: 2px solid #FFF;
    border-radius: 100px;
    background-color: #000;
    bottom: 20px;
    z-index: 9999;
    left: 20%;
    align-items: center;
    justify-content: center;
}

.lan_en {
    display: none;
}

.language p {
    font-size: 28px;
    line-height: 43px;
}


@media(min-width:2450px) {
    .nav_menu-list--item a {
        color: #FFF;
        font-size: 1.3vw;
        text-decoration: none;
    }

    .nav_menu ul li {
        width: 330px;
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: center;
        border-right: 2px solid #FFF;
    }
}

@media(min-width:1920px) {
    .main .container {
        max-width: 1920px;
    }

}

@media(min-width:2500px) {
    .heroes_single-card h1 {
        font-size: 70px;
        width: 80%;
        line-height: 100px;
    }

    .heroes_single-card p {
        font-size: 60px;
        line-height: 70px;
        margin-top: 13.558vw;
    }

    .heroes_single-card img {
        width: 22.474vw;
    }

    .footer_title h1 {
        font-size: 60px;
        line-height: 70px;
    }

    .footer_logo img:nth-child(1) {
        width: 250px;
    }

    .footer_logo img:nth-child(2) {
        width: 550px;
        margin-top: 20px;
    }

}

#mobile{
    display: none;
}
@media(max-width:500px){
    #desctop{
        display: none;
    }
    #mobile{
        display: flex;
    }
    .main_button a{
        height: 100px !important;
    }
    .noborder{
        border: none;
    }
    .nav_menu ul{
        gap: 20px;
        flex-wrap: wrap;
    }
    .nav_menu ul li{
        width: 150px;
    }
    .about_heroes{
        padding-top: 50px;
    }
    .about-heroes-title--text h1
    {
        font-size: 40px;
    }
    .about-heroes-title--text{
        gap: 40px;
    }
}
@media(max-width:380px){
    .nav_menu ul li{
        width: 100px;
    }
}